SET NOCOUNT ON
IF NOT EXISTS(
	SELECT 
		ID 
	FROM 
		SYSOBJECTS 
	WHERE 
		NAME = 'TELE_ORC' AND XTYPE = 'U')
BEGIN
	SET NOCOUNT OFF
	RAISERROR('A TABELA NA QUAL SERÁ REALIZADO O UPDATE NÃO FOI ENCONTRADA NO BANCO DE DADOS.',16,1)
END

ELSE
BEGIN
	IF EXISTS (
		SELECT
			* 
		FROM 
			SYSCOLUMNS 
		WHERE 
			NAME = 'CD_ORC_ETAPA'
			AND ID IN (
				SELECT 
					ID 
				FROM 
					SYSOBJECTS 
				WHERE 
					NAME = 'TELE_ORC' AND XTYPE = 'U'))

		BEGIN
			UPDATE B SET
				   B.CD_ORC_ETAPA= A.CD_ORC_ETAPA,
				   B.CD_ETAPAS   = A.CD_ETAPAS,
				   B.CD_TIPO     = A.CD_TIPO
			FROM TELE_ORC_ETAPA A INNER JOIN
				 TELE_ORC B ON A.CD_ORC = B.CD_ORC
			WHERE A.CD_ORC_ETAPA = (SELECT MAX(C.CD_ORC_ETAPA) FROM TELE_ORC_ETAPA C WHERE C.CD_ORC = B.CD_ORC)

		END
	SET NOCOUNT OFF
	PRINT 'UPDATE CD_ORC_ETAPA NA TABELA TELE_ORC REALIZADO COM SUCESSO '
END
